View Issue Details

IDProjectCategoryView StatusLast Update
0020040mantisbtsecuritypublic2017-06-08 20:25
ReporteratrolAssigned Tosyncguru 
PrioritynormalSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.0.0Fixed in Version2.0.0 
Summary0020040: Replace jscalendar by a newer widget
Description

The JavaScript widget we use at the moment is no longer maintained and should be replaced by a newer and better one.

Tagscsp, modern-ui

Relationships

related to 0019943 closedatrol Buggy calendar in due date 
related to 0021962 closedsyncguru Due Date calendar icon wraps below the field 
related to 0021651 closedsyncguru Dropzone has inline scripts in View Issue page 
related to 0021669 closedsyncguru Charts have inline scripts 
related to 0021873 assignedsyncguru Use datetime picker for date ranges in filter 
related to 0021874 assignedsyncguru Use datetime picker for date ranges in time tracking 
related to 0022059 closeddregad Missing leading zeroes in due date display 
related to 0022296 closedatrol Options in $g_public_config_names are not sorted 
related to 0022617 closedatrol Unneeded CSS file calendar-blue.css 
related to 0022700 closedcproensa Due Date in bug_change_status_page.php 
related to 0022984 closeddregad Calendar doesn't show the correct date the first time it opens 
child of 0015281 assignedsyncguru Consistent user interface for date fields 

Activities

atrol

atrol

2015-08-17 15:56

developer   ~0051285

PR from user badfiles https://github.com/mantisbt/mantisbt/pull/628/

lbayle

lbayle

2016-01-19 03:53

reporter   ~0052329

Oh yes, please please do this !
it is soooo anoying to set a date using 3 different combobox for day + month + year ...
I use it in custom fields.

vboctor

vboctor

2016-08-27 19:41

manager   ~0053901

Once this control is replaced, remove the CSP exception for 'unsafe-eval' that was added in checkin df605e1d2479a01f594773a4575c2e39b5c6ade2.

https://github.com/mantisbt/mantisbt/commit/df605e1d2479a01f594773a4575c2e39b5c6ade2

syncguru

syncguru

2016-10-22 23:36

developer   ~0054322

Took a quick look at the PR. I prefer using more bootstrap-y date & time picker - check this one: https://github.com/uxsolutions/bootstrap-datepicker

atrol

atrol

2016-10-25 02:53

developer   ~0054334

@syncguru just want to be sure you read what I wrote at https://github.com/mantisbt/mantisbt/pull/628/

I had just a short look it. Seems this is just a date picker, but we need a date-time picker.

syncguru

syncguru

2016-11-06 14:26

developer   ~0054449

@atrol you are right. I was torn between two libraries and did not notice that time is not supported with this one. Here is the other library I'd recommend: http://eonasdan.github.io/bootstrap-datetimepicker

syncguru

syncguru

2016-11-06 22:37

developer   ~0054451

PR: https://github.com/mantisbt/mantisbt/pull/943

dregad

dregad

2016-11-14 06:18

developer   ~0054521

Just a reminder to fix https://github.com/mantisbt/mantisbt/blob/release-2.0.0-rc.1/core/http_api.php#L236 as part of this issue.

Related Changesets

MantisBT: master 6f73af16

2016-11-06 22:30:20

syncguru


Committer: dregad Details Diff
Replace jscalendar with bootstrap-datetimepicker library

- Enable datetimepciker on all pages by default
- Relocate inline JS code into standalone files
- Remove CSP exceptions for jscalendar
- Multi-language support

Fixes 0020040
mod - bug_actiongroup_page.php Diff File
mod - bug_change_status_page.php Diff File
mod - bug_report_page.php Diff File
mod - bug_update_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/http_api.php Diff File
mod - core/lang_api.php Diff File
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File
add - css/bootstrap-datetimepicker.min.css Diff File
add - js/bootstrap-datetimepicker.min.js Diff File
mod - js/common.js Diff File
rm - js/jscalendar/calendar-blue.css Diff File
rm - js/jscalendar/calendar-setup.js Diff File
rm - js/jscalendar/calendar.js Diff File
rm - js/jscalendar/lang/calendar-en.js Diff File
add - js/moment-with-locales.min.js Diff File
mod - manage_proj_ver_edit_page.php Diff File
mod - plugins/MantisGraph/core/Period.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_page.php Diff File

MantisBT: master 9720af8e

2016-11-10 23:10:23

syncguru


Committer: dregad Details Diff
Obsolete jscalendar global config & use compatible date format

Fixes 0020040
mod - bug_actiongroup_page.php Diff File
mod - bug_change_status_page.php Diff File
mod - bug_report_page.php Diff File
mod - bug_update_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/date_api.php Diff File
mod - core/obsolete.php Diff File
mod - javascript_config.php Diff File
mod - manage_proj_ver_edit_page.php Diff File

MantisBT: master e3b86388

2016-11-20 11:45:54

syncguru


Committer: dregad Details Diff
Enable datetime picker for project version edit box

Fixes 0020040
mod - manage_proj_ver_edit_page.php Diff File

MantisBT: master 0c00e735

2016-11-23 16:40:55

syncguru


Committer: dregad Details Diff
Show datetime picker when clicking calendar icon

Fixes 0020040
mod - bug_change_status_page.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File

MantisBT: master 253ad741

2016-11-23 19:49:13

syncguru


Committer: dregad Details Diff
Misc tweaks based on code review comments

- Update obsolete statements
- Reduce datepicker box width to avoid icon wrapping

Fixes 0020040

Signed-off-by: Damien Regad <dregad@mantisbt.org>
- Whitespace adjustments
- Fixed typos in comments and documentation
mod - bug_actiongroup_page.php Diff File
mod - bug_change_status_page.php Diff File
mod - bug_report_page.php Diff File
mod - bug_update_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/lang_api.php Diff File
mod - core/layout_api.php Diff File
mod - core/obsolete.php Diff File
mod - css/ace-mantis.css Diff File
mod - docbook/Admin_Guide/en-US/config/date.xml Diff File
mod - js/common.js Diff File
mod - manage_proj_ver_edit_page.php Diff File

Issue History

Date Modified Username Field Change
2015-08-17 15:54 atrol New Issue
2015-08-17 15:55 atrol Relationship added related to 0019943
2015-08-17 15:56 atrol Note Added: 0051285
2015-08-17 15:58 atrol Relationship added related to 0015281
2016-01-19 03:53 lbayle Note Added: 0052329
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-07-20 20:49 vboctor Tag Attached: modern-ui
2016-08-27 19:41 vboctor Note Added: 0053901
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-09-07 01:50 vboctor Relationship added related to 0021651
2016-09-07 01:50 vboctor Relationship added related to 0021669
2016-09-07 01:51 vboctor Tag Attached: csp
2016-09-20 02:49 vboctor Severity minor => block
2016-10-02 19:35 atrol Target Version 2.0.0-beta.3 => 2.0.0-rc.1
2016-10-17 02:04 vboctor Category javascript => security
2016-10-22 23:36 syncguru Note Added: 0054322
2016-10-25 02:27 syncguru Assigned To => syncguru
2016-10-25 02:27 syncguru Status new => assigned
2016-10-25 02:53 atrol Note Added: 0054334
2016-10-30 23:23 vboctor Target Version 2.0.0-rc.1 => 2.0.0-rc.2
2016-11-06 14:26 syncguru Note Added: 0054449
2016-11-06 22:37 syncguru Note Added: 0054451
2016-11-06 22:48 syncguru Relationship added related to 0021873
2016-11-06 22:50 syncguru Relationship added related to 0021874
2016-11-14 06:18 dregad Note Added: 0054521
2016-11-27 01:14 vboctor Relationship added related to 0021962
2016-11-27 08:20 dregad Target Version 2.0.0-rc.2 => 2.0.0
2016-12-20 12:50 dregad Changeset attached => MantisBT master 6f73af16
2016-12-20 12:50 dregad Changeset attached => MantisBT master 0c00e735
2016-12-20 12:50 dregad Changeset attached => MantisBT master 9720af8e
2016-12-20 12:50 dregad Changeset attached => MantisBT master e3b86388
2016-12-20 12:50 dregad Changeset attached => MantisBT master 253ad741
2016-12-20 12:50 dregad Assigned To syncguru => dregad
2016-12-20 12:50 dregad Status assigned => resolved
2016-12-20 12:50 dregad Resolution open => fixed
2016-12-20 12:50 dregad Fixed in Version => 2.0.0
2016-12-20 12:51 dregad Assigned To dregad => syncguru
2016-12-20 12:54 dregad Relationship replaced child of 0015281
2016-12-21 02:58 atrol Relationship added related to 0022059
2016-12-30 15:54 vboctor Status resolved => closed
2017-01-31 16:21 atrol Relationship added related to 0022296
2017-03-30 15:42 atrol Relationship added related to 0022617
2017-04-10 10:58 atrol Relationship added related to 0022700
2017-06-08 20:25 dregad Relationship added related to 0022984